Subject: RE: Gdb and stopping at assert or segmentation faults
From: "Kris Thielemans" <[email-masked]>
To: "'Brian Dessent'" <[email-masked]>
Cc: "'Gnuwin'" <[email-masked]>
Date: Wed, 29 Jun 2005 17:24:12 +0100

Hi Brian

> You need to set the 'error_start' parameter of the CYGWIN 
> environment variable to the (windows) path of gdb.
> 

I think what you're saying is that if I do this, it will launch gdb on the
crash? Ok.

However, what I was saying is that I would like to be able to backtrace when
I launch a program from within gdb:

Gdb myprog
Run
<assert or segmentation fault>
Info stack

> You can also call cygwin_internal (CW_DEBUG_SELF,
> "c:\\path\\to\\gdb.exe") in your code to force a fault.
> 
Ok. That's useful as well. Thanks!

Kris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/